List Deposits
List deposits for your account.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
limit
Limit the size of the list that is returned. The default (and maximum) is 100 objects.
page_token
The cursor to use for pagination. If not set, the first page of results will be returned.
source_id
The identifier of the source that sent the deposits. Comma-separated list of source IDs.
payment_source_idDeprecated
Deprecated. Use source_id. Comma-separated list of payment source IDs.
status
Filter deposits by status.
Allowed values:
settled_at.after
Return deposits with a settled date and time after the given date and time.
settled_at.before
Return deposits with a settled date and time before the given date and time.
Response headers
X-Request-Id
The unique identifier for the request
Response
The response for Deposits.list
results
next_page_token
A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error

